package org.herac.tuxguitar.io.ptb.base;

import java.util.ArrayList;
import java.util.List;

public class PTPosition {

	private int position;	
	private List components;
	
	public PTPosition(int position){
		this.position = position;
		this.components = new ArrayList();
	}

	public int getPosition() {
		return this.position;
	}

	public List getComponents() {
		return this.components;
	}
	
	public void addComponent(PTComponent component){
		this.components.add(component);
	}
	
}
