package org.herac.tuxguitar.io.ptb.helper;

public class TrackHelper {

	private TrackInfoHelper infoHelper;
	private TrackStartHelper startHelper;
	private TrackRepeatHelper repeatHelper;
	
	public TrackHelper(){
		this.infoHelper = new TrackInfoHelper();
		this.startHelper = new TrackStartHelper();
		this.repeatHelper = new TrackRepeatHelper();
	}

	public void reset(){
		this.infoHelper.reset();
		this.repeatHelper.reset();
	}
	
	public TrackInfoHelper getInfoHelper() {
		return this.infoHelper;
	}

	public TrackRepeatHelper getRepeatHelper() {
		return this.repeatHelper;
	}

	public TrackStartHelper getStartHelper() {
		return this.startHelper;
	}
	
}
